fields:
    active:
        label: 'lovata.toolbox::lang.field.active'
        span: left
        default: 1
        type: switch
    name:
        label: 'lovata.toolbox::lang.field.name'
        span: left
        required: 1
        type: text
    slug:
        label: 'lovata.toolbox::lang.field.slug'
        span: right
        required: 1
        preset:
            field: name
            type: slug
        type: text
tabs:
    fields:
        code:
            label: 'lovata.toolbox::lang.field.code'
            span: left
            type: text
            tab: 'lovata.toolbox::lang.tab.settings'
        external_id:
            label: 'lovata.toolbox::lang.field.external_id'
            span: left
            type: text
            tab: 'lovata.toolbox::lang.tab.settings'
        preview_text:
            label: 'lovata.toolbox::lang.field.preview_text'
            size: large
            span: full
            type: textarea
            tab: 'lovata.toolbox::lang.tab.description'
        description:
            label: 'lovata.toolbox::lang.field.description'
            size: giant
            span: full
            type: richeditor
            tab: 'lovata.toolbox::lang.tab.description'
        preview_image:
            label: 'lovata.toolbox::lang.field.preview_image'
            mode: image
            fileTypes: jpg,jpeg,bmp,png,webp,gif,svg
            useCaption: true
            thumbOptions:
                mode: crop
                extension: auto
            span: left
            type: fileupload
            tab: 'lovata.toolbox::lang.tab.images'
        icon:
            label: 'lovata.toolbox::lang.field.icon'
            mode: image
            fileTypes: jpg,jpeg,bmp,png,webp,gif,svg
            useCaption: true
            thumbOptions:
                mode: crop
                extension: auto
            span: right
            type: fileupload
            tab: 'lovata.toolbox::lang.tab.images'
        images:
            label: 'lovata.toolbox::lang.field.images'
            mode: image
            fileTypes: jpg,jpeg,bmp,png,webp,gif,svg
            useCaption: true
            thumbOptions:
                mode: crop
                extension: auto
            span: left
            type: fileupload
            tab: 'lovata.toolbox::lang.tab.images'
